Package javax.websocket

## Interface ClientEndpointConfig

All Superinterfaces:
  `EndpointConfig`

    public interface ClientEndpointConfig
    extends EndpointConfig

### Nested Class Summary

Nested Classes
`static class` `ClientEndpointConfig.Builder`
`static class` `ClientEndpointConfig.Configurator`

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientEndpointConfig.Configurator` `getConfigurator()`
`java.util.List<Extension>` `getExtensions()`
`java.util.List<java.lang.String>` `getPreferredSubprotocols()`

### Methods inherited from interface javax.websocket.EndpointConfig

`getDecoders, getEncoders, getUserProperties`

### Method Detail

#### getPreferredSubprotocols

    java.util.List<java.lang.String> getPreferredSubprotocols()

#### getExtensions

    java.util.List<Extension> getExtensions()

#### getConfigurator

    ClientEndpointConfig.Configurator getConfigurator()